Subject: Smith big torch

From: [email-masked] (Ron Thompson)
Date: 8 Sep 1995 13:26:07 GMT

Saw mention of Smith torchs which reminded me of a very old, large one I 
had from a trade years ago. My son helped me with something and I gave 
him the thing. He went to buy a new tip and found that they were no 
longer available. After calling Smith he learned that "lifetime 
guarantee" that was printed on the side Would get him a replacement torch 
at the local dealer. Depending on who you talk to at smith the torch is 
supposed to belong to a relative of yours. This was all new to the local 
dealer but after a phone call the guy handed my son a new $300 torch !

Keep your eyes open for what appears to be junk at that next garage sale.

Ron